const { createDirectory, createFile, createJsonFile } = require('./tools')
const packageContent = require('../generators/genPackage')
const indexContent = require('../generators/genIndex')
const apiContent = require('../generators/genApi')
const dbContent = require('../generators/genDatabase')
const empModelContent = require('../generators/genEmpModel')
const empControllerContent = require('../generators/genEmpController')
const envContent = require('../generators/genEnv')
const envExampleContent = require('../generators/genEnvExample')

const genModel = require('../generators/genModel')
const genController = require('../generators/genController')

const init = () => {
    console.log('Init ...')
    createDirectory('app')
    createDirectory('app/routes')
    createDirectory('app/controllers')
    createDirectory('app/models')
    createDirectory('app/database')
    createJsonFile('package.json', packageContent)
    createFile('app/index.js', indexContent)
    createFile('app/routes/api.js', apiContent)
    createFile('app/database/database.js', dbContent)
    createFile('app/models/employee.js', empModelContent)
    createFile('app/controllers/employeecontroller.js', empControllerContent)
    createFile('.env', envContent)
    createFile('.env.example', envExampleContent)
}

const generate = (argv) => {

    let subject = argv._[1]
    let name = argv._[2]

    if(subject == 'controller') {
        console.log('Kontroller generálása...')
        createFile(`app/controllers/${name}controller.js`, genController(name))
        console.log(`The name of the model should be ${name}`)
    }else if(subject == 'model') {
        console.log('Model generálása...')
        createFile(`app/models/${name}.js`, genModel(name))
    }else if (subject == undefined){
        console.log('generate <mit_generáljunk>')
    }else {
        console.log(`Hiba! Nincs ${subject} generálandó!`)
    }
}

module.exports.init = init;
module.exports.generate = generate;
