const fsExtra = require('fs-extra');
const jsonfile = require('jsonfile');

const createDirectory = (path) => {
    if (!fsExtra.pathExistsSync(path)) {
        fsExtra.mkdirSync(path)
    }
}

const createFile = (path, content) => {
    if(!fsExtra.existsSync(path)) {
        fsExtra.writeFileSync(path, content);
    }else {
        console.error(`Error! The file exists: ${path}`)
    }
}

const createJsonFile = (path, content) => {
    jsonfile.writeFileSync(path, content, { spaces: 2 });
}

const firstUpper = (word) => {
    if (!word) return ''
    return word[0].toUpperCase() + word.slice(1)
}

const appendS = (word) => {
    if (!word) return ""
    return word + "s"
}


module.exports.createDirectory = createDirectory;
module.exports.createFile = createFile;
module.exports.createJsonFile = createJsonFile;
module.exports.firstUpper = firstUpper;
module.exports.appendS = appendS;
