const { firstUpper, appendS } = require('../components/tools')

const genController = (modelName) => {

    let objectName = firstUpper(modelName)
    let listName = appendS(modelName)

return `
const ${objectName} = require('../models/${modelName}')

const ${objectName}Controller = {
    async index(req, res) {
        try {
            const ${listName} = await ${objectName}.findAll()
            res.status(200)
            res.json({
                success: true,
                data: ${listName}
            })
        } catch (error) {
            res.status(500)
            res.send('Hiba')
        }        
    },
    async store(req, res) {
        try {
            const ${modelName} = await ${objectName}.create(req.body)
            res.status(201)
            res.json({
                success: true,
                data: ${modelName}
            })
        } catch (error) {
            res.status(500)
            res.send('Hiba')
        }        
    },
    async update(req, res) {
        try {
            const id = req.params.id
            const ${modelName} = await ${objectName}.update(req.body, {
                where: {id: id}
            })
            res.status(200)
            res.json({
                success: true,
                data: ${modelName}
            })
        } catch (error) {
            res.status(500)
            res.send('Hiba')
        }        
    },
    async destroy(req, res) {
        try {
            const id = req.params.id
            const ${modelName} = await ${objectName}.destroy({
                where: {id: id}
            })
            res.status(200)
            res.json({
                success: true,
                data: ${modelName}
            })
        } catch (error) {
            res.status(500)
            res.send('Hiba')
        }        
    }
}

module.exports = ${objectName}Controller
`
}

module.exports = genController
