
const { firstUpper, appendS } = require('../components/tools')

const genModel = (modelName) => {
    
let tableName = appendS(modelName)
let objectName = firstUpper(modelName)

return `
const { DataTypes } = require('sequelize')
const sequelize = require('../database/database')

const ${objectName} = sequelize.define('${tableName}', {
    id: { 
        type: DataTypes.INTEGER,
        autoIncrement: true,
        primaryKey: true
    },
    name: { type: DataTypes.STRING,  allowNull: false  }
})

sequelize.sync({
    force: false
})
module.exports = ${objectName}
`

}

module.exports = genModel
